/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { QrCodeControl } from './qrcode-control';
import * as i0 from "@angular/core";
export declare class AswQrCodeDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswQrCodeDialog>;
    control: QrCodeControl;
    constants: any;
    aswEditQrCodeForm: FormGroup;
    status: boolean;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswQrCodeDialog>, control: QrCodeControl);
    ngOnInit(): void;
    validateFormBuilder(): void;
    editProperty(control: QrCodeControl): void;
    onNoClick(): void;
    onSubmit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswQrCodeDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswQrCodeDialog, "asw-qrcode-dialog", never, {}, {}, never, never>;
}
